## python-arrow 0.4.4

=== Makefile ===
.PHONY: auto build test docs clean

auto: build27

build27:
	virtualenv local --python=python2.7
	local/bin/pip install --use-mirrors -r requirements.txt

build26:
	virtualenv local --python=python2.6
	local/bin/pip install --use-mirrors -r requirements.txt
	local/bin/pip install --use-mirrors -r requirements26.txt

build33:
	virtualenv local --python=python3.3
	local/bin/pip install --use-mirrors -r requirements.txt

test:
	rm -f .coverage
	. local/bin/activate && nosetests --all-modules --with-coverage arrow tests

docs:
	touch docs/index.rst
	cd docs; make html

clean:
	rm -rf local
	rm -f arrow/*.pyc tests/*.pyc
	rm -f .coverage

=== requirements.txt ===
python-dateutil==2.1
nose==1.3.0
nose-cov==1.6
chai==0.4.0
sphinx==1.2b1

=== debian/changelog ===
python-arrow (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #757376)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 25 Oct 2014 16:24:13 +0100

=== debian/control ===
Source: python-arrow
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep:
 dh-python,
 python-all,
 python-dateutil,
 python-doc,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools
Standards-Version: 3.9.5
Homepage: http://crsmithdev.com/arrow/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: git://anonscm.debian.org/collab-maint/python-arrow.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-arrow.git;a=summary

Package: python-arrow
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-arrow-doc
Description: Python library to manipulate dates, times, and timestamps
 A Python library that offers a sensible, human-friendly approach to creating,
 manipulating, formatting and converting dates, times, and timestamps.
 It implements and updates the datetime type, plugging gaps in functionality,
 and provides a module API that supports many common creation scenarios.
 Arrow replaces a number of modules: datetime, time, calendar, dateutil, pytz.

Package: python3-arrow
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python-arrow-doc
Description: Python3 library to manipulate dates, times, and timestamps
 A Python3 library that offers a sensible, human-friendly approach to creating,
 manipulating, formatting and converting dates, times, and timestamps.
 It implements and updates the datetime type, plugging gaps in functionality,
 and provides a module API that supports many common creation scenarios.
 Arrow replaces a number of modules: datetime, time, calendar, dateutil, pytz.

Package: python-arrow-doc
Architecture: all
Section: doc
Depends: 
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-jquery,
 libjs-underscore
Provides: ${python:Provides}
Description: Python library to manipulate dates, times, timestamps: documentation
 A Python library that offers a sensible, human-friendly approach to creating,
 manipulating, formatting and converting dates, times, and timestamps.
 It implements and updates the datetime type, plugging gaps in functionality,
 and provides a module API that supports many common creation scenarios.
 Arrow replaces a number of modules: datetime, time, calendar, dateutil, pytz.
 This is a documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=arrow
export DH_VERBOSE=1
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs build/html
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bman docs build/man
	rm -rf ./build/html/.doctrees

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-arrow-doc
endif

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/crsmithdev/arrow/tags .*/v?(\d\S*)\.tar\.gz

## python-arrow 0.6.0

=== debian/changelog ===
python-arrow (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 27 Jul 2015 23:50:35 +0100

python-arrow (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 27 Apr 2015 00:09:10 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python-sphinx,
  python3-all,
  python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://crsmithdev.com/arrow/
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3

## python-arrow 0.7.0

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,10 @@
 	virtualenv local --python=python3.3
 	local/bin/pip install --use-mirrors -r requirements.txt
 
+build34:
+	virtualenv local --python=python3.4
+	local/bin/pip install --use-mirrors -r requirements.txt
+
 test:
 	rm -f .coverage
 	. local/bin/activate && nosetests --all-modules --with-coverage arrow tests

=== requirements.txt ===
python-dateutil==2.1
nose==1.3.0
nose-cov==1.6
chai==0.4.8
sphinx==1.2b1
simplejson==3.6.5

=== debian/changelog ===
python-arrow (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Dec 2015 14:48:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-arrow
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper (>= 9~)
 Build-Depends-Indep:
  dh-python,

## python-arrow 0.10.0

=== Makefile ===
--- 
+++ 
@@ -19,9 +19,14 @@
 	virtualenv local --python=python3.4
 	local/bin/pip install --use-mirrors -r requirements.txt
 
+
+build35:
+	virtualenv local --python=python3.5
+	local/bin/pip install --use-mirrors -r requirements.txt
+
 test:
 	rm -f .coverage
-	. local/bin/activate && nosetests --all-modules --with-coverage arrow tests
+	. local/bin/activate && nosetests
 
 docs:
 	touch docs/index.rst

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Arrow.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Arrow.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Arrow"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Arrow"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-arrow (0.10.0-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 22 Dec 2016 18:57:26 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
  python-sphinx,
  python3-all,
  python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://crsmithdev.com/arrow/
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-arrow.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-arrow.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-arrow.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-arrow.git
 
 Package: python-arrow
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.md
+
+override_dh_auto_clean:
+	rm __pycache__ -rf
+	rm pybuild -rf

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/arrow-$1\.tar\.gz/ \
  https://github.com/crsmithdev/arrow/tags .*/v?(\d\S*)\.tar\.gz

## python-arrow 0.12.1

=== debian/changelog ===
python-arrow (0.12.1-2) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Add dependency on python-backports.functools-lru-cache for the Python2
      package. (Closes: #898196)

 -- Federico Ceratto <federico@debian.org>  Fri, 11 May 2018 17:31:08 +0100

python-arrow (0.12.1-1) unstable; urgency=medium

  * New upstream release (Closes: #897988)

 -- Federico Ceratto <federico@debian.org>  Sat, 05 May 2018 16:40:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,29 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 9~)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep:
  dh-python,
  python-all,
  python-dateutil,
  python-doc,
  python-setuptools,
- python-sphinx,
  python3-all,
- python3-setuptools
-Standards-Version: 3.9.8
+ python3-setuptools,
+ python3-sphinx
+Standards-Version: 4.1.4
 Homepage: http://crsmithdev.com/arrow/
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-arrow.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-arrow.git
+Vcs-Git: https://salsa.debian.org/debian/python-arrow.git
+Vcs-Browser: https://salsa.debian.org/debian/python-arrow
 
 Package: python-arrow
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends:
+ python-backports.functools-lru-cache,
+ ${misc:Depends},
+ ${python:Depends}
 Provides: ${python:Provides}
 Suggests: python-arrow-doc
 Description: Python library to manipulate dates, times, and timestamps
@@ -46,7 +49,7 @@
 Package: python-arrow-doc
 Architecture: all
 Section: doc
-Depends: 
+Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
  libjs-jquery,

## python-arrow 0.15.5

=== debian/changelog ===
python-arrow (0.15.5-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 12 Feb 2020 00:20:58 +0000

python-arrow (0.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 28 Dec 2019 21:59:58 +0000

python-arrow (0.15.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Federico Ceratto ]
  * New upstream release
  * Drop Python 2 packages (Closes: #937584)

 -- Federico Ceratto <federico@debian.org>  Sat, 05 Oct 2019 23:20:12 +0100

=== debian/control ===
Source: python-arrow
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.4.1
Homepage: http://crsmithdev.com/arrow/
Vcs-Git: https://salsa.debian.org/debian/python-arrow.git
Vcs-Browser: https://salsa.debian.org/debian/python-arrow

Package: python3-arrow
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python-arrow-doc
Description: Python3 library to manipulate dates, times, and timestamps
 A Python3 library that offers a sensible, human-friendly approach to creating,
 manipulating, formatting and converting dates, times, and timestamps.
 It implements and updates the datetime type, plugging gaps in functionality,
 and provides a module API that supports many common creation scenarios.
 Arrow replaces a number of modules: datetime, time, calendar, dateutil, pytz.

Package: python-arrow-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-jquery,
 libjs-underscore
Description: Python library to manipulate dates, times, timestamps: documentation
 A Python library that offers a sensible, human-friendly approach to creating,
 manipulating, formatting and converting dates, times, and timestamps.
 It implements and updates the datetime type, plugging gaps in functionality,
 and provides a module API that supports many common creation scenarios.
 Arrow replaces a number of modules: datetime, time, calendar, dateutil, pytz.
 This is a documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=arrow
export DH_VERBOSE=1
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bhtml docs build/html
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bman docs build/man
	rm -rf ./build/html/.doctrees
	sed -i 's|https://s3.amazonaws.com/github/ribbons/forkme_right_darkblue_121621.png||' build/html/*.html

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-arrow-doc
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_auto_clean:
	rm -rf __pycache__ pybuild .pybuild arrow/__pycache__ build

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/a/arrow/arrow-([\d\.]*)\.tar\.gz

## python-arrow 0.15.7

=== Makefile ===
.PHONY: auto test docs clean

auto: build38

build27: PYTHON_VER = python2.7
build35: PYTHON_VER = python3.5
build36: PYTHON_VER = python3.6
build37: PYTHON_VER = python3.7
build38: PYTHON_VER = python3.8
build39: PYTHON_VER = python3.9

build27 build35 build36 build37 build38 build39: clean
	virtualenv venv --python=$(PYTHON_VER)
	. venv/bin/activate; \
	pip install -r requirements.txt; \
	pre-commit install

test:
	rm -f .coverage
	. venv/bin/activate; pytest

lint:
	. venv/bin/activate; pre-commit run --all-files --show-diff-on-failure

docs:
	rm -rf docs/_build
	. venv/bin/activate; cd docs; make html

clean: clean-dist
	rm -rf venv .pytest_cache ./**/__pycache__
	rm -f .coverage ./**/*.pyc

clean-dist:
	rm -rf dist build .egg .eggs arrow.egg-info

build-dist:
	. venv/bin/activate; \
	pip install -U setuptools twine wheel; \
	python setup.py sdist bdist_wheel

upload-dist:
	. venv/bin/activate; twine upload dist/*

publish: test clean-dist build-dist upload-dist clean-dist

=== requirements.txt ===
backports.functools_lru_cache==1.6.1; python_version == "2.7"
dateparser==0.7.*
pre-commit==1.20.*; python_version <= "3.5"
pre-commit==2.3.*; python_version >= "3.6"
pytest==4.6.*; python_version == "2.7"
pytest==5.4.*; python_version >= "3.5"
pytest-cov==2.8.*
pytest-mock==2.0.*; python_version == "2.7"
pytest-mock==3.1.*; python_version >= "3.5"
python-dateutil==2.8.*
pytz==2019.*
simplejson==3.17.*
sphinx==1.8.*; python_version == "2.7"
sphinx==3.0.*; python_version >= "3.5"

=== debian/changelog ===
python-arrow (0.15.7-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 21 Jun 2020 23:10:43 +0100

## python-arrow 0.17.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	pre-commit install
 
 test:
-	rm -f .coverage
+	rm -f .coverage coverage.xml
 	. venv/bin/activate; pytest
 
 lint:
@@ -28,7 +28,7 @@
 
 clean: clean-dist
 	rm -rf venv .pytest_cache ./**/__pycache__
-	rm -f .coverage ./**/*.pyc
+	rm -f .coverage coverage.xml ./**/*.pyc
 
 clean-dist:
 	rm -rf dist build .egg .eggs arrow.egg-info

=== requirements.txt ===
backports.functools_lru_cache==1.6.1; python_version == "2.7"
dateparser==0.7.*
pre-commit==1.21.*; python_version <= "3.5"
pre-commit==2.6.*; python_version >= "3.6"
pytest==4.6.*; python_version == "2.7"
pytest==6.0.*; python_version >= "3.5"
pytest-cov==2.10.*
pytest-mock==2.0.*; python_version == "2.7"
pytest-mock==3.2.*; python_version >= "3.5"
python-dateutil==2.8.*
pytz==2019.*
simplejson==3.17.*
sphinx==1.8.*; python_version == "2.7"
sphinx==3.2.*; python_version >= "3.5"

=== debian/changelog ===
python-arrow (0.17.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 08 Dec 2020 18:44:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-python,
  python3-all,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://crsmithdev.com/arrow/
 Vcs-Git: https://salsa.debian.org/debian/python-arrow.git
 Vcs-Browser: https://salsa.debian.org/debian/python-arrow
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-arrow
 Architecture: all

## python-arrow 1.2.1

=== Makefile ===
.PHONY: auto test docs clean

auto: build39

build36: PYTHON_VER = python3.6
build37: PYTHON_VER = python3.7
build38: PYTHON_VER = python3.8
build39: PYTHON_VER = python3.9
build310: PYTHON_VER = python3.10

build36 build37 build38 build39 build310: clean
	$(PYTHON_VER) -m venv venv
	. venv/bin/activate; \
	pip install -U pip setuptools wheel; \
	pip install -r requirements-dev.txt; \
	pre-commit install

test:
	rm -f .coverage coverage.xml
	. venv/bin/activate; \
	pytest

lint:
	. venv/bin/activate; \
	pre-commit run --all-files --show-diff-on-failure

docs:
	rm -rf docs/_build
	. venv/bin/activate; \
	cd docs; \
	make html

clean: clean-dist
	rm -rf venv .pytest_cache ./**/__pycache__
	rm -f .coverage coverage.xml ./**/*.pyc

clean-dist:
	rm -rf dist build .egg .eggs arrow.egg-info

build-dist:
	. venv/bin/activate; \
	pip install -U pip setuptools twine wheel; \
	python setup.py sdist bdist_wheel

upload-dist:
	. venv/bin/activate; \
	twine upload dist/*

publish: test clean-dist build-dist upload-dist clean-dist

=== debian/changelog ===
python-arrow (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 28 Nov 2021 22:41:41 +0000

python-arrow (1.1.0-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 19 Jun 2021 22:12:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  dh-python,
  python3-all,
  python3-setuptools,
- python3-sphinx
-Standards-Version: 4.5.0
+ python3-sphinx,
+ python3-sphinx-autodoc-typehints,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://crsmithdev.com/arrow/
 Vcs-Git: https://salsa.debian.org/debian/python-arrow.git

=== debian/watch ===
version=4

https://github.com/arrow-py/arrow/tags .*/v?(\d\S+)\.tar\.gz

## python-arrow 1.2.2

=== debian/changelog ===
python-arrow (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 22 Mar 2022 23:36:24 +0000

## python-arrow 1.2.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: auto test docs clean
 
-auto: build39
+auto: build310
 
 build36: PYTHON_VER = python3.6
 build37: PYTHON_VER = python3.7
@@ -12,7 +12,8 @@
 	$(PYTHON_VER) -m venv venv
 	. venv/bin/activate; \
 	pip install -U pip setuptools wheel; \
-	pip install -r requirements-dev.txt; \
+	pip install -r requirements/requirements-tests.txt; \
+	pip install -r requirements/requirements-docs.txt; \
 	pre-commit install
 
 test:
@@ -22,13 +23,19 @@
 
 lint:
 	. venv/bin/activate; \
-	pre-commit run --all-files --show-diff-on-failure
+	pre-commit run --all-files
+
+clean-docs:
+	rm -rf docs/_build
 
 docs:
-	rm -rf docs/_build
 	. venv/bin/activate; \
 	cd docs; \
 	make html
+
+live-docs: clean-docs
+	. venv/bin/activate; \
+	sphinx-autobuild docs docs/_build/html
 
 clean: clean-dist
 	rm -rf venv .pytest_cache ./**/__pycache__

=== requirements/requirements.txt ===
python-dateutil>=2.7.0
typing_extensions; python_version < '3.8'

=== debian/changelog ===
python-arrow (1.2.3-1) unstable; urgency=medium

  * New upstream release
  * Update homepage URL (Closes: #1003198)
    Thanks to Emmanuel Arias

 -- Federico Ceratto <federico@debian.org>  Sat, 15 Oct 2022 17:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-autodoc-typehints,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://crsmithdev.com/arrow/
+Homepage: https://arrow.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/debian/python-arrow.git
 Vcs-Browser: https://salsa.debian.org/debian/python-arrow
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
 export PYBUILD_NAME=arrow
 export DH_VERBOSE=1
@@ -24,4 +23,4 @@
 	dh_installchangelogs CHANGELOG.rst
 
 override_dh_auto_clean:
-	rm -rf __pycache__ pybuild .pybuild arrow/__pycache__ build
+	rm -rf __pycache__ pybuild .pybuild arrow/__pycache__ build .github

## python-arrow 1.3.0

=== Makefile ===
.PHONY: auto test docs clean

auto: build311

build38: PYTHON_VER = python3.8
build39: PYTHON_VER = python3.9
build310: PYTHON_VER = python3.10
build311: PYTHON_VER = python3.11
build312: PYTHON_VER = python3.12

build36 build37 build38 build39 build310 build311 build312: clean
	$(PYTHON_VER) -m venv venv
	. venv/bin/activate; \
	pip install -U pip setuptools wheel; \
	pip install -r requirements/requirements-tests.txt; \
	pip install -r requirements/requirements-docs.txt; \
	pre-commit install

test:
	rm -f .coverage coverage.xml
	. venv/bin/activate; \
	pytest

lint:
	. venv/bin/activate; \
	pre-commit run --all-files --show-diff-on-failure

clean-docs:
	rm -rf docs/_build

docs:
	. venv/bin/activate; \
	cd docs; \
	make html

live-docs: clean-docs
	. venv/bin/activate; \
	sphinx-autobuild docs docs/_build/html

clean: clean-dist
	rm -rf venv .pytest_cache ./**/__pycache__
	rm -f .coverage coverage.xml ./**/*.pyc

clean-dist:
	rm -rf dist build *.egg *.eggs *.egg-info

build-dist: clean-dist
	. venv/bin/activate; \
	pip install -U flit; \
	flit build

=== debian/changelog ===
python-arrow (1.3.0-1.1ubuntu1) oracular; urgency=medium

  * d/p/mypy-deps-to-test-requirements.patch: Drop type annotations for
    mypy static type checking to test requirements rather than runtime
    requirements. 

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 12:11:34 +0100

python-arrow (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1072269)

 -- Paul Gevers <elbrus@debian.org>  Fri, 31 May 2024 08:59:36 +0200

python-arrow (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 08 Apr 2024 23:17:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: python-arrow
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 13)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
+Build-Depends: debhelper-compat (= 13), flit
 Build-Depends-Indep:
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-autodoc-typehints,
-Standards-Version: 4.6.1
+ python3-sphinx-rtd-theme,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://arrow.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/debian/python-arrow.git

## python-arrow 1.4.0

=== debian/changelog ===
python-arrow (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 20 Feb 2026 16:19:12 +0100
